from gturtle import *
from random import randint

tf = TurtleFrame()
rw = Turtle(tf)

Winkel =    1    # Winkelauflösung
Laenge =   10    # Länge eines Schritts in Pixel
N      = 1000    # Länge des Random Walks, d.h. Zahl der Schritte
rw.setPenWidth(2)
#rw.hideTurtle()  # mit hideTurtle() wird die Graphikausgabe beschleunigt
                 # dazu das Kommentarzeichen (#) am Anfang der Zeile entfernen

repeat N:
    i = randint(1,360/Winkel) # Zufallszahl
    rw.left(i*Winkel) # Richtung
    rw.forward(Laenge)   # Verschiebung

dx = rw.getX()/Laenge    # End-End-Abstand in x-Richtung
dy = rw.getY()/Laenge    # End-End-Abstand in y-Richtung

rw.setPenColor("red") 
rw.moveTo(0,0)         # End-End-Abstand einzeichnen
print dx,dy,dx**2+dy**2, N   
